Bug 804037 - libproxy fails to download pac files as attachments
libproxy fails to download pac files as attachments
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: libproxy (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 07:36 EDT by Marko Myllynen
Modified: 2016-02-26 12:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2012-03-16 07:36:53 EDT
Description of problem:
After some investigation it turns out that when using pac+http libproxy fails to download the PAC file if the file is being provided by the server as:

Content-disposition: attachment; filename="proxy.pac"

This is also a problem with current (2012-03-16) trunk but no upstream ticket filed (yet).

Version-Release number of selected component (if applicable):
0.4.7
Comment 1 Nicolas Chauvet (kwizart) 2012-03-16 08:45:16 EDT
Is the attachment missing ?
I think it would be wise to report the problem upstream directly.
Comment 2 Marko Myllynen 2012-03-16 08:52:28 EDT
> Is the attachment missing ?

No, for example wget can retrieve the file ok.

> I think it would be wise to report the problem upstream directly.

We've discussed about this on #libvirt but this has not been yet reported to the upstream tracker.

Thanks.
Comment 3 Nicolas Chauvet (kwizart) 2012-07-22 17:04:09 EDT
Is there an upstream report for this issue ?
Comment 4 Marko Myllynen 2012-08-06 08:08:47 EDT
(In reply to comment #3)
> Is there an upstream report for this issue ?

Not at the moment - my previous comment about IRC discussion was misleading, this was discussed on #libproxy (not #libvirt). Thanks.
Comment 5 Nicolas Chauvet (kwizart) 2013-01-02 11:21:54 EST
Going back to this, I fail to understand why a proxy.pac should be provided with Content-disposition: attachment. This seems unappropriate to me in the first step.

Should I close this bug as INVALID ?
Comment 6 Marko Myllynen 2013-01-03 04:06:49 EST
(In reply to comment #5)
> Going back to this, I fail to understand why a proxy.pac should be provided
> with Content-disposition: attachment. This seems unappropriate to me in the
> first step.

Not sure what is the exact reason for this but nevertheless there are real-world servers which are configured in such a fashion and they seem to work all ok except for libproxy.

> Should I close this bug as INVALID ?

No, I think libproxy should be changed to cope with such setups, regardless how inappropriate they may seem.

Thanks.
Comment 7 Fedora End Of Life 2013-07-03 19:40:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 22:35:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Marko Myllynen 2013-08-05 12:07:14 EDT
This is still affecting real-world setups, basically rendering libproxy useless in such environments.

CC'ing David who has shown interest towards libproxy on Fedora lists.

Thanks.
Comment 10 David Woodhouse 2013-08-05 13:04:18 EDT
The best fix all round seems to be to use PacRunner (which is now in Fedora), and abandon *all* the libproxy modules apart from libproxy-pacrunner.

We need to fix NetworkManager to prod the correct config into PacRunner, and also make PacRunner handle multiple networks in the same way that NM+dnsmasq do, directing queries within a certain domain or IP range to the appropriate configuration.

The original "libproxy" should probably die, in all but its API.
Comment 11 David Woodhouse 2013-08-05 13:05:19 EDT
(In reply to David Woodhouse from comment #10)
> The original "libproxy" should probably die, in all but its API.

In case someone close to libproxy takes that the wrong way: I mean that for *Fedora*. Having implementations across the board that provide that API is great, and the original libproxy is useful in many places. But we can do better in Fedora.
Comment 12 Fedora End Of Life 2015-01-09 16:57:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Marko Myllynen 2015-01-12 11:15:25 EST
Since libproxy is pretty much useless in certain environments without this fix, I'll bump the version number one more time.
Comment 14 Jan Kurik 2015-07-15 11:10:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 15 Fedora Admin XMLRPC Client 2016-02-26 12:54:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora Admin XMLRPC Client 2016-02-26 12:55:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.